filesthick20

fin=fopen('c:/keith/jason/subjects_list2.txt');
code=fscanf(fin,'%f',[3, 2553/3]);
id=str2num(files(:,11:15));

n=length(id)
npoints=40962;

for i=1:n
   j=find(code(1,:)==id(i));
   sex(i)=code(2,j);
   age(i)=code(3,j);
end

u=zeros(n,npoints);
for i=1:n
   fin=fopen(['c:/keith/jason/thick20/subjects/' files(i,:)]);
   u(i,:)=fscanf(fin,'%f')';
   fclose(fin);
end

avg_mal=(sex*u)/sum(sex);
avg_fem=((1-sex)*u)/sum(1-sex);

save c:/keith/jason/thick20/avg_mal.mat avg_mal
save c:/keith/jason/thick20/avg_fem.mat avg_fem
save c:/keith/jason/thick20/Y.mat u
load c:/keith/jason/thick20/Y.mat
for i=1:n
   u(i,:)=u(i,:)-mean(u(i,:));
end

coord=read_coord('c:/keith/jason/sendai_average_mid.obj');

surf2exp(coord,avg_mal,'c:/keith/jason/thick20/avg_mal');
surf2exp(coord,avg_fem,'c:/keith/jason/thick20/avg_fem');

X=[ones(n,1) sex'];
contrast=[0 1]

p=rank(X)
df=n-p
pinvX=pinv(X);
beta=pinv(X)*u;
u=u-X*beta;
sse=sum(u.^2,1);
sd=sqrt(sse/df);
effect=contrast*beta;
sdeffect=norm(contrast*pinvX)*sd;
tstat=effect./sdeffect;

save c:/keith/jason/thick20/stats.mat effect sdeffect tstat

surf2exp(coord,effect,'c:/keith/jason/thick20/effect');
surf2exp(coord,sdeffect,'c:/keith/jason/thick20/sdeffect');
surf2exp(coord,tstat,'c:/keith/jason/thick20/tstat');

for i=1:n
   u(i,:)=u(i,:)./(sd*sqrt(df));
end
save c:/keith/jason/thick20/uc.mat u

%%%%%%%%

load('c:/keith/jason/nbr.mat');
nbr(1:12,6)=nbr(1:12,1);

area=zeros(1,npoints);
nbr2=nbr(:,6);
h2=coord(:,nbr2)-coord;
h22=sum(h2.*h2,1);
for i=1:6
   nbr2=nbr(:,i);
   h1=h2;
   h2=coord(:,nbr2)-coord;
   h11=h22;
   h12=sum(h1.*h2,1);
   h22=sum(h2.*h2,1);
   area=area+sqrt(h11.*h22-h12.^2)/2;
end

detlamh=zeros(1,npoints);
nbr2=nbr(:,6);
lam22=zeros(1,npoints);
for j=1:n
   d2=u(j,nbr2)-u(j,:);
   lam22=lam22+d2.^2;
end
ilist=[6 1:5];
for i=1:6
   i1=ilist(i)
   nbr1=nbr(:,i1);
   nbr2=nbr(:,i);
   lam11=lam22;
   lam12=zeros(1,npoints);
   lam22=zeros(1,npoints);
   for j=1:n
      d1=u(j,nbr1)-u(j,:);
      d2=u(j,nbr2)-u(j,:);
      lam12=lam12+d1.*d2;
      lam22=lam22+d2.^2;
   end
   detlamh=detlamh+sqrt(lam11.*lam22-lam12.^2)/2;
end
fwhm=sqrt(4*log(2))*sqrt(area./detlamh);

resels=sum(detlamh)/3/(4*log(2))

surf2exp(coord,fwhm,'c:/keith/jason/thick20/fwhm');

save c:/keith/jason/thick20/fwhm.mat fwhm detlamh area

load c:/keith/jason/thick20/fwhm.mat 
fwhmav=sqrt(4*log(2))*sqrt(sum(area)./sum(detlamh))
resels=sum(area)/fwhmav^2
stat_threshold([2 0 resels 0],409620000,1,319)


clear u

stat_threshold([2 0 resels],40962,1,321)

ans =

    4.4003

% make explorer files:

fudge=2;

fin=fopen('c:/keith/jason/thick20/subjects/idac_aoba_00600_laplace_thickness_20mmFWHM.txt');
thicksubj=fscanf(fin,'%f')';
fclose(fin);
coordsubj=read_coord('c:/keith/jason/surface/subjects/idac_aoba_00600_mid_surface_81920.obj');
surf2exp(coordsubj,thicksubj*fudge,'c:/keith/jason/thick20/demo1');

load c:/keith/jason/thick20/avg_mal.mat 
load c:/keith/jason/thick20/avg_fem.mat 
load c:/keith/jason/thick20/stats.mat
load c:/keith/jason/thick20/fwhm.mat
coord=read_coord('c:/keith/jason/sendai_average_mid.obj');

fwhmx=fwhm;
fwhmx(19554)=100;
fwhmx(5604)=100;
surf2exp(coord,fwhmx, ...
   'c:/keith/jason/thick20/demo2');


surf2exp(coord,[thicksubj*fudge; avg_mal*fudge; avg_fem*fudge; ...
      effect*fudge; sdeffect*fudge; tstat; fwhm; fwhmt; coordpca(1:3,:)], ...
   'c:/keith/jason/thick20/demo3');


in_file='c:\keith\scratch\white_surface_81920.obj';
in_file='c:\keith\scratch\gray_surface_81920.obj';
fid=fopen(in_file,'r','b');
fread(fid,1,'char')
fread(fid,5,'float')
n_points=fread(fid,1,'int')
coordg=fread(fid,[3,n_points],'float');
fclose(fid)
mean(sqrt(sum((coordw-coordg).^2,1)))

% find warp:

% find lam to nbrs:

load c:/keith/jason/thick20/u
n=size(u,1)
npoints=size(u,2)
lam=zeros(6,npoints);
for i=1:6
   i
   nbr2=nbr(:,i);
   s=zeros(1,npoints);
   for j=1:n
      s=s+(u(j,nbr2)-u(j,:)).^2;
   end
   lam(i,:)=s;
end
save c:/keith/jason/thick20/lam.mat lam
clear u 

% find dist to nbrs:

load c:/keith/jason/thick20/lam.mat
load('c:/keith/jason/nbr.mat');
nbr(1:12,6)=nbr(1:12,1);
npoints=size(lam,2);

d2=zeros(6,npoints);
for i=1:6
   nbr2=nbr(:,i);
   d2(i,:)=sum((coord(:,nbr2)-coord).^2,1);
end
dd=lam*sum(sum(d2))/sum(sum(lam));

save c:/keith/jason/thick20/dd.mat dd

coordt=coord;
load c:/keith/jason/thick20/coordt.mat

niter=2000
alpha=3;
ss=0;
for iter=1:niter
   m11=zeros(1,npoints);
   m12=zeros(1,npoints);
   m13=zeros(1,npoints);
   m22=zeros(1,npoints);
   m23=zeros(1,npoints);
   m33=zeros(1,npoints);
   a=zeros(3,npoints);
   aa=zeros(1,npoints);
   hhat=zeros(3,npoints);
   sse=0;
   for i=1:6
      nbr2=nbr(:,i);
      h=coordt-coordt(:,nbr2);
      m11=m11+h(1,:).*h(1,:);
      m12=m12+h(1,:).*h(2,:);
      m13=m13+h(1,:).*h(3,:);
      m22=m22+h(2,:).*h(2,:);
      m23=m23+h(2,:).*h(3,:);
      m33=m33+h(3,:).*h(3,:);
      aa=aa+(dd(i,:)-sum(h.^2,1));
      e=dd(i,:)-sum(h.^2,1);
      a=a+(ones(3,1)*e).*h;
      sse=sse+sum(e.^2);
   end
   sse=sse/6/npoints;
   if sse>ss(length(ss)) & iter>10
      break
   end
   ss=[ss sse];
   ss2=ss(length(ss)-1);
   ss1=ss(length(ss));
   fprintf([num2str(iter) ' ' num2str(ss1) ' ' num2str((1-ss1/ss2)*100) ' \n']);
   
   m11=m11+alpha;
   m22=m22+alpha;
   m33=m33+alpha;
   
   k11=m22.*m33-m23.^2;
   k12=m23.*m13-m12.*m33;
   k13=m12.*m23-m13.*m22;
   k22=m11.*m33-m13.^2;
   k23=m12.*m13-m11.*m23;
   k33=m11.*m22-m12.^2;
   det=m11.*k11+m12.*k12+m13.*k13;
   
   hhat(1,:)=(k11.*a(1,:)+k12.*a(2,:)+k13.*a(3,:))./det/2;
   hhat(2,:)=(k12.*a(1,:)+k22.*a(2,:)+k23.*a(3,:))./det/2;
   hhat(3,:)=(k13.*a(1,:)+k23.*a(2,:)+k33.*a(3,:))./det/2;
   coordt=coordt+hhat;
end
plot(ss); 
%save c:/keith/jason/thick20/coordt2.mat coordt

%save c:/keith/jason/thick20/coordt.mat coordt

load c:/keith/jason/thick20/fwhm.mat 
load c:/keith/jason/thick20/coordt2.mat
npoints=size(fwhm,2)
areat=zeros(1,npoints);
nbr2=nbr(:,6);
h2=coordt(:,nbr2)-coordt;
h22=sum(h2.*h2,1);
for i=1:6
   nbr2=nbr(:,i);
   h1=h2;
   h2=coordt(:,nbr2)-coordt;
   h11=h22;
   h12=sum(h1.*h2,1);
   h22=sum(h2.*h2,1);
   areat=areat+sqrt(h11.*h22-h12.^2)/2;
end
fwhmt=sqrt(4*log(2))*sqrt(areat./detlamh);
fwhmt(1)=min(fwhm);
fwhmt(2)=max(fwhm);

surf2exp(coordt,[fwhm; fwhmt; tstat],'c:/keith/jason/thick20/demo3');

% PCA

load c:/keith/jason/thick20/u.mat 
uu=u*u';
uc=u*coord';
cc=coord*coord';  
w=[0.9 0.8 0.7 0.6 0.5 0.45 0.4 0.35 0.3 0.25 0.2 0.1 0];
w=[0.34 0.33 0.32 0.31];
nw=length(w);
load c:/keith/jason/thick20/u.mat 
for i=1:nw
   wc=w(i)
   wu=sqrt((1-wc^2)*sum(diag(cc))/sum(diag(uu)));
   m=[uu*wu^2 uc*wu*wc; uc'*wu*wc cc*wc^2];
   [V,D]=eig(m);
   [eval,index]=sort(diag(D));
   pc=V(:,index(n+1:n+3));
   coordpca=pc(1:n,:)'*u*wu+pc(n+1:n+3,:)'*coord*wc;
   xty=coordpca*coord';
   R=inv(sqrtm(xty*xty'))*xty;
   coordpca=R'*coordpca*sqrt(sum(diag(cc))/sum(sum(coordpca.^2)));
   surf2exp(coordpca,fwhm,['c:/keith/jason/thick20/pca' num2str(wc*100)]);
end
clear u

load c:/keith/jason/thick20/uc.mat 
n=size(u,1)
uu=u*u';
[V,D]=eig(uu);
[eval,index]=sort(-diag(D));
eval=-eval;
plot(eval(1:20))

pc=V(:,index(1:10));
coordpca=pc'*u;

save c:/keith/jason/thick20/pcac.mat coordpca eval

coord=read_coord('c:/keith/jason/sendai_average_mid.obj');
surf2exp(coord,coordpca,'c:/keith/jason/thick20/pcac');

coordpcaa=coordpca;
coordpca=coordpca(1:3,:);
   xty=coordpca*coord';
   R=inv(sqrtm(xty*xty'))*xty;
   coordpca=R'*coordpca*sqrt(sum(sum(coord.^2))/sum(sum(coordpca.^2)));

surf2exp(coordpca,coordpca,'c:/keith/jason/thick20/pcacc');

clear u

% correlations threshold

load c:/keith/jason/thick20/fwhm.mat 
resels=sum(detlamh)/3/(4*log(2))
resels =758.6312

n=321;
nu=n-2;
z=(0:999)/1000;2^1
lam=4*log(2)*resels;
pval=lam^2*exp(gammaln((nu-2)/2)-gammaln((nu-1)/2))/8/pi^(5/2) ...
   *z.*exp((nu-5)/2*log(1-z.^2)).*((nu-2)^2*z.^2-(3*nu-8));
%plot(pval)
   monotonic=find(diff(pval)<0);
   if any(diff(pval)>0)
      monotonic=monotonic(monotonic>=min(find(diff(pval)>0)));
   end
   peak_threshold=interp1(pval(monotonic),z(monotonic),[0.1 0.05 0.01])
peak_threshold =
    0.3312    0.3376    0.3518
   
thresh=0.3376   

nu<-319
x<-qt(0.1/(40962^2/2),nu-1)
z<- -x/sqrt(nu-1+x^2)
[1] 0.3445466

f=sqrt(4*pi/resels)
ccthresh=1-(2*f)^2/2

dthresh=0.95
cthresh=0.3376

%nbr

nbr=zeros(m,6);
for i=1:m
   if rem(i,step)==0
      i/step
   end
   d=coord(:,i)'*coord;
   [sd,j]=sort(d);
   if i<=12
      nbr(i,1:6)=[j(m-5:m-1) j(m-1)];
   else
      nbr(i,1:6)=j(m-6:m-1);
   end
end

% correlations 

power=12  %must be even <= 12
m=2^power*10+2

load c:/keith/jason/thick20/uc.mat 
%u=u(:,1:m);

in_file='c:\keith\jason\sphere.obj';
fid=fopen(in_file,'r','b');
fread(fid,1,'char')
fread(fid,5,'float')
n_points=fread(fid,1,'int')
coord=fread(fid,[3,n_points],'float');
fclose(fid)
%coord=coord(:,1:m);

load('c:/keith/jason/nbr.mat');
nbr(1:12,6)=nbr(1:12,1);

step=round(m/100);
clist1=[];
clist2=[];
for i=1:m
   if rem(i,step)==0
      i/step
   end
   c=u(:,i)'*u;
   d=coord(:,i)'*coord;
   ind=find(c>cthresh & d<dthresh);
   if ~isempty(ind)
      loc=c(ind)>c(nbr(ind,1));
      for j=2:6
         loc=loc & (c(ind)>c(nbr(ind,j)));
      end
      ind=ind(loc);
      clist1=[clist1 [repmat(i,1,length(ind)); ind; c(ind); d(ind)]];
   end
   ind=find(c<-cthresh & d<dthresh);
   if ~isempty(ind)
      loc=c(ind)<c(nbr(ind,1));
      for j=2:6
         loc=loc & (c(ind)<c(nbr(ind,j)));
      end
      ind=ind(loc);
      clist2=[clist2 [repmat(i,1,length(ind)); ind; c(ind); d(ind)]];
   end
end

locmax1=[];
I=size(clist1,2);
for i=1:I
   j1=clist1(1,i);
   j2=clist1(2,i);
   if any(clist1(1,i:I)==j2 & clist1(2,i:I)==j1)
      locmax1=[locmax1 clist1(:,i)];
   end
end
round(diag([1 1 1000 1000])*locmax1)

locmax2=[];
I=size(clist2,2);
for i=1:I
   j1=clist2(1,i);
   j2=clist2(2,i);
   if any(clist2(1,i:I)==j2 & clist2(2,i:I)==j1)
      locmax2=[locmax2 clist2(:,i)];
   end
end
round(diag([1 1 1000 1000])*locmax2)

%save c:/keith/jason/thick20/locmax locmax1 locmax2

   
%c=u'*u;
%hist(c(:))
%imagesc(c); colorbar; colormap(spectral);

%cc=coord'*coord;
%imagesc(cc); colorbar; colormap(spectral);
%plot(cc(:),c(:),'.')

%%%%%%%%%%%%%%%%%%%%% vectors

load c:/keith/jason/thick20/locmax

coord=read_coord('c:/keith/jason/sendai_average_mid.obj');

locmax0=[locmax1 locmax2];
coord1=coord(:,locmax0(1,:));
coord2=coord(:,locmax0(2,:));
test=find((coord1(1,:)<0 & coord2(1,:)<0) | (coord1(1,:)>0 & coord2(1,:)>0) );
ntest=length(test)

coord0=coord1(:,test);
value=coord2(:,test)-coord0;

out_base='c:/keith/jason/thick20/correl';
fout=fopen([out_base '.exp'],'w');
fprintf(fout,'#!/usr/explorer/bin/explorer cxLattice plain 1.0 \n');
fprintf(fout,'1 %d %d 3 2 1 3 \n',size(value,2),size(value,1));
fprintf(fout,'%f %f %f \n',coord0 );
fprintf(fout,'%f %f %f \n',value );
fclose(fout);

out_base='c:/keith/jason/thick20/correl_values';
fout=fopen([out_base '.exp'],'w');
fprintf(fout,'%d \n',ntest);
fprintf(fout,'%d %f \n',[1:ntest; locmax0(3,test)]);
fclose(fout);






